Organizations

Enable/disable Growth/Scale custom domain add-on (internal)

AuthAPI Key
GroupOrganizations
Rate limitSee Rate Limits
POST/internal/org/custom-domain-addon

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, OrganizationsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
});

const organizations = new OrganizationsApi(configuration);
import { Configuration, OrganizationsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
});

const organizations = new OrganizationsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await organizations.internalCustomDomainAddon(
  {
    orgId: "org_DJ1YTiHle7",
    enabled: false
  }
);
const { data: result } = await organizations.internalCustomDomainAddon(
  {
    orgId: "org_DJ1YTiHle7",
    enabled: false
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Get your API key from the console

No Request Yet

Send a request to see the full inspector

Authentication

Requires API Key
Note
Include your API key in the X-API-Key: YOUR_KEY header (server-to-server, SDKs). View authentication guide →

Request Body

json
{
  "orgId": "org_HiWpAXlSPP",
  "enabled": false
}
{
  "orgId": "org_HiWpAXlSPP",
  "enabled": false
}

Responses

200Updated
Edit this page on GitHub